Bug 1122982 (CVE-2014-5077) - CVE-2014-5077 Kernel: net: SCTP: fix a NULL pointer dereference during INIT collisions
Summary: CVE-2014-5077 Kernel: net: SCTP: fix a NULL pointer dereference during INIT c...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-5077
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1123696 1123760 1123763 1124336 1124337 1124338 1141146 1141147
Blocks: 1122922
TreeView+ depends on / blocked
 
Reported: 2014-07-24 13:57 UTC by Prasad J Pandit
Modified: 2019-09-29 13:20 UTC (History)
34 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the way the Linux kernel's Stream Control Transmission Protocol (SCTP) implementation handled simultaneous connections between the same hosts. A remote attacker could use this flaw to crash the system.
Clone Of:
Environment:
Last Closed: 2014-10-28 22:16:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1083 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2014-08-20 14:51:31 UTC
Red Hat Product Errata RHSA-2014:1392 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2014-10-14 01:28:44 UTC
Red Hat Product Errata RHSA-2014:1668 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2014-10-23 21:01:44 UTC
Red Hat Product Errata RHSA-2014:1724 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-10-29 01:33:03 UTC
Red Hat Product Errata RHSA-2014:1763 normal SHIPPED_LIVE Important: kernel security update 2014-10-30 21:22:14 UTC
Red Hat Product Errata RHSA-2014:1872 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-11-18 23:29:56 UTC

Description Prasad J Pandit 2014-07-24 13:57:24 UTC
Linux kernel built with the support for Stream Control Transmission Protocol
(CONFIG_IP_SCTP) is vulnerable to a NULL pointer dereference flaw. It could
occur when simultaneous new connections are initiated between the same pair of
hosts.

A remote user/program could use this flaw to crash the system kernel resulting
in DoS.

Upstream fix:
-------------
  -> http://patchwork.ozlabs.org/patch/372475/

Comment 1 Murray McAllister 2014-07-28 01:59:55 UTC
MITRE assigned CVE-2014-5077 to this issue:

http://seclists.org/oss-sec/2014/q3/246

Comment 2 Murray McAllister 2014-07-28 02:01:48 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1123696]

Comment 6 Fedora Update System 2014-08-01 06:02:37 UTC
kernel-3.15.7-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-08-08 08:41:43 UTC
kernel-3.14.15-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Martin Prpič 2014-08-18 11:17:50 UTC
IssueDescription:

A NULL pointer dereference flaw was found in the way the Linux kernel's Stream Control Transmission Protocol (SCTP) implementation handled simultaneous connections between the same hosts. A remote attacker could use this flaw to crash the system.

Comment 9 errata-xmlrpc 2014-08-20 10:52:25 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:1083 https://rhn.redhat.com/errata/RHSA-2014-1083.html

Comment 12 Petr Matousek 2014-09-05 08:41:05 UTC
Statement:

This issue does not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5 as it doesn't provide support for AUTH chunks.

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 6 and 7. Future kernel updates for Red Hat Enterprise Linux 6 and 7 may address this issue. This issue has been fixed in Red Hat Enterprise MRG via RHSA-2014:1083.

Comment 14 errata-xmlrpc 2014-10-14 06:19:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1392 https://rhn.redhat.com/errata/RHSA-2014-1392.html

Comment 17 errata-xmlrpc 2014-10-23 17:02:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2014:1668 https://rhn.redhat.com/errata/RHSA-2014-1668.html

Comment 18 errata-xmlrpc 2014-10-28 21:33:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1724 https://rhn.redhat.com/errata/RHSA-2014-1724.html

Comment 19 errata-xmlrpc 2014-10-30 17:22:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.2 AUS

Via RHSA-2014:1763 https://rhn.redhat.com/errata/RHSA-2014-1763.html

Comment 20 errata-xmlrpc 2014-11-18 18:30:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2014:1872 https://rhn.redhat.com/errata/RHSA-2014-1872.html


Note You need to log in before you can comment on or make changes to this bug.